Bug 780649 - (SOA-3087) Two versions of spring present in the platform
Two versions of spring present in the platform
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, riftsaw (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.2.0 GA,5.2.0.ER2
Assigned To: trev
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 06:01 EDT by Kevin Conner
Modified: 2011-11-02 10:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-02 10:00:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3615 Major Closed Need to update Spring to version 3.0.3 2013-05-20 15:56:47 EDT
JBoss Issue Tracker SOA-3087 Major Closed Two versions of spring present in the platform 2013-05-20 15:56:48 EDT

  None (edit)
Description Kevin Conner 2011-05-26 06:01:34 EDT
project_key: SOA

ESB is using spring 3.0.2, riftsaw are using 2.5.6.

These will conflict and must be aligned.
Comment 4 tcunning 2011-06-03 10:23:24 EDT
Link: Added: This issue relates to JBESB-3615
Comment 5 Gary Brown 2011-06-03 10:24:12 EDT
Link: Added: This issue is related to RIFTSAW-385
Comment 6 David Le Sage 2011-07-15 01:53:23 EDT
Release Notes Docs Status: Added: Not Yet Documented
Writer: Added: dlesage
Comment 7 David Le Sage 2011-09-27 19:55:17 EDT
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-3087

There were two different and conflicting versions of Spring included with SOA.  The redundant versions have been removed and replaced with a single, up-to-date version of the software.
Comment 8 Len DiMaggio 2011-11-02 10:00:17 EDT
Verified in ER6


find . -name *spring*jar -print | grep RELEASE
./server/default/deploy/spring.esb/spring-core-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-oxm-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-context-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-beans-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-orm-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-asm-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/com.springsource.org.aspectj.weaver-1.6.8.RELEASE.jar
./server/default/deploy/spring.esb/spring-tx-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/com.springsource.org.aspectj.tools-1.6.8.RELEASE.jar
./server/default/deploy/spring.esb/spring-jms-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-jdbc-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-expression-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-aop-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-test-3.0.6.RELEASE.jar
./server/default/deploy/spring.esb/spring-aspects-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-core-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-context-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-beans-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-asm-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-expression-3.0.6.RELEASE.jar
./server/default/deploy/riftsaw.sar/lib/spring-aop-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-core-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-oxm-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-context-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-beans-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-orm-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-asm-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/com.springsource.org.aspectj.weaver-1.6.8.RELEASE.jar
./server/all/deploy/spring.esb/spring-tx-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/com.springsource.org.aspectj.tools-1.6.8.RELEASE.jar
./server/all/deploy/spring.esb/spring-jms-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-jdbc-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-expression-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-aop-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-test-3.0.6.RELEASE.jar
./server/all/deploy/spring.esb/spring-aspects-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-core-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-context-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-beans-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-asm-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-expression-3.0.6.RELEASE.jar
./server/all/deploy/riftsaw.sar/lib/spring-aop-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-core-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-oxm-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-context-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-beans-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-orm-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-asm-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/com.springsource.org.aspectj.weaver-1.6.8.RELEASE.jar
./server/production/deploy/spring.esb/spring-tx-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/com.springsource.org.aspectj.tools-1.6.8.RELEASE.jar
./server/production/deploy/spring.esb/spring-jms-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-jdbc-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-expression-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-aop-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-test-3.0.6.RELEASE.jar
./server/production/deploy/spring.esb/spring-aspects-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-core-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-context-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-beans-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-asm-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-expression-3.0.6.RELEASE.jar
./server/production/deploy/riftsaw.sar/lib/spring-aop-3.0.6.RELEASE.jar

Note You need to log in before you can comment on or make changes to this bug.